<manifest version="1.0" type="device">
    <hal format="hidl" override="true">
        <name>android.hardware.ir</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.irsl</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>android.hardware.nfc</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.nfc</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>android.hardware.secure_element</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.hisiradio</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>android.hardware.radio</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.radio</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.radio.chr</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.radio.ims</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.radio.deprecated</name>
        <transport>hwbinder</transport>
    </hal>
	<hal format="hidl" override="true">
        <name>vendor.huawei.hardware.modemchr</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.modemlogcat</name>
        <transport>hwbinder</transport>
    </hal>
</manifest>
